# Copyright (C) 2021, KylinSoft Co., Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
# [OK]为修复成功
# 执行修复脚本权限需要root权限执行

import subprocess

# 确保已配置SSH警告通知
def fix_ssh_warning_banner():
    cmd1 = "sed -i 's/# Banner.*/Banner \/etc\/issue.net/g' /etc/ssh/sshd_config"
    cmd2 = "sed -i 's/#Banner.*/Banner \/etc\/issue.net/g' /etc/ssh/sshd_config"
    cmd3 = "sed -i 's/Banner none.*/Banner \/etc\/issue.net/g' /etc/ssh/sshd_config"
    cmd4 = "echo 'Authorized uses only. All activity may be monitored and reported.' > /etc/issue.net"
    subprocess.run(cmd1, shell=True, check=True)
    subprocess.run(cmd2, shell=True, check=True)
    subprocess.run(cmd3, shell=True, check=True)
    subprocess.run(cmd4, shell=True, check=True)
    print("[OK] SSH warning enabled")

if __name__ == '__main__':
    # 运行修复函数
    fix_ssh_warning_banner()
