# Copyright (C) 2021, KylinSoft Co., Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
# [OK]为修复成功
# 执行修复脚本权限需要root权限执行

from json.tool import main
import subprocess


# 将mysql中的bind-address改为127.0.0.1
def fix_mysql_access_permissions():
    cmd = "sed -i 's/^bind-address.*/bind-address = 127.0.0.1/g' /etc/mysql/mysql.conf.d/mysqld.cnf"
    subprocess.run(cmd, shell=True, check=True)
    print('[OK] fix suff')

if __name__ == '__main__':
    fix_mysql_access_permissions()